Page MenuHomeFreeBSD

make.conf(5): Make it clear that world and kernel related variables may go into src.conf(5)
ClosedPublic

Authored by 0mp on Apr 23 2018, 10:50 PM.

Details

Summary

The idea to add those bits to the make.conf manual was suggested on freebsd-desktop@.

I believe that it is a valuable addition. Personally, I was looking for this information for some time now and I wish that the manual mentioned this overlap between make.conf and src.conf.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Apr 23 2018, 10:50 PM
kevans added a subscriber: kevans.May 3 2018, 1:53 PM
kevans added inline comments.
man/man5/make.conf.5
107 โ†—(On Diff #41785)

I want to say this should be rephrased into being more generic- these really apply to any build out of a src/ tree, which may be world/kernel build or it may be an individual in-tree module build or even a cd stand && make all

I'm not sure what this wording would look like, though.

0mp added a comment.May 6 2018, 8:26 PM

Actually, it turns out that those changes are wrong.

As we can read in bsd.ports.mk (line 1775):

# We prefer to pass MK_*=no but it was only supported after a certain
# revision.  Passing WITHOUT_* may conflict with a make.conf or src.conf's
# WITH_* value.  Note that ports *do* pull in src.conf.

I learned about it in this mailing list thread (freebsd-current@) (thanks to @rkoberman_gmail.com).

0mp updated this revision to Diff 45531.Jul 19 2018, 11:29 AM
0mp retitled this revision from make.conf(5): Make it clear that world and kernel related variables may go into src.conf(5) to make.conf(5): Make it clear that world and kernel related variables may go into src.conf(5).

Reupload the patch using Arcanist.

bcr accepted this revision.Aug 11 2018, 11:23 AM
bcr added a subscriber: bcr.

OK from manpages.

This revision is now accepted and ready to land.Aug 11 2018, 11:23 AM
kevans accepted this revision.Aug 12 2018, 2:53 AM

Feel free to commit at will.

bcr added a comment.Aug 12 2018, 8:01 AM

Don't forget to bump the .Dd as this is a content change.

0mp added reviewers: mat, krion.Aug 14 2018, 1:18 PM

It turns out that the r468843 removed the note about bsd.ports.mk sourcing src.conf.

I'll commit those changes once I get an approval from my great mentors ๐Ÿ˜„.

krion accepted this revision.Aug 14 2018, 1:22 PM
matthew added inline comments.
share/man/man5/make.conf.5
108 โ†—(On Diff #45531)

In more idiomatic English:

In the case of world and kernel builds is is possible to put these variables into

114 โ†—(On Diff #45531)

This way the environment for documentation and ports builds is not polluted by unrelated variables.

0mp planned changes to this revision.Aug 14 2018, 8:50 PM

Thanks, @matthew!

I'll include your suggestions in the next revision.

0mp updated this revision to Diff 46684.Aug 14 2018, 9:03 PM

Improve English as suggested by @matthew.

bcr added a comment.Aug 14 2018, 9:06 PM

I found a repeated word and you might want to bump the .Dd while you're at it.

share/man/man5/make.conf.5
107 โ†—(On Diff #46684)

s/is is/it is/

0mp updated this revision to Diff 46693.Aug 15 2018, 10:19 AM
0mp marked 2 inline comments as done.
  • Fix a typo.
  • Bump Dd.
bcr accepted this revision.Aug 15 2018, 10:20 AM

Approved from manpages.

This revision is now accepted and ready to land.Aug 15 2018, 10:20 AM
0mp marked an inline comment as done.Aug 15 2018, 10:21 AM
This revision was automatically updated to reflect the committed changes.